/*
 * ASTStatement.h
 *
 *  Created on: Nov 4, 2012
 *      Author: attero
 */

#ifndef ASTSTATEMENT_H_
#define ASTSTATEMENT_H_
#include "ASTNode.h"

class ASTStatement : public ASTNode {
public:
	ASTStatement();
	virtual SenchaObject execute() = 0;
	virtual SenchaObject evaluate() = 0;
	virtual ~ASTStatement();
};

#endif /* ASTSTATEMENT_H_ */
